import { system, world } from '@minecraft/server';

world.afterEvents.itemUseOn.subscribe((event) => {
    const { block, itemStack, source } = event,
        sdv = "minecraft:soul_soil",
        sdj = "minecraft:command_block";
    if (itemStack.typeId === "minecraft:wither_skeleton_skull" && block.typeId != "minecraft:frame" && block.typeId != "minecraft:glow_frame" && (block.typeId === sdv || block.typeId === sdj)) {
        system.run(() => {
            source.dimension.spawnEntity("pa:main_block", block.location);
            source.dimension.spawnEntity("pa:main_block", block.east().location);
            source.dimension.spawnEntity("pa:main_block", block.west().location);
            source.dimension.spawnEntity("pa:main_block", block.north().location);
            source.dimension.spawnEntity("pa:main_block", block.south().location);
        });
    }
});//This script was made by GGgus42RcTM